import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class ListFilesInDirectory {
    public static void main(String[] args) {
        // 指定要列出的文件夹路径
        Path folderPath = Paths.get("D:\\work\\04_部门\\26期4部\\d4");

        // 调用方法获取不带后缀的文件名列表
        List<String> fileNamesWithoutExtension = getFileNamesWithoutExtension(folderPath);
        
        // 输出文件名
        System.out.println(fileNamesWithoutExtension.toString());
    }

    public static List<String> getFileNamesWithoutExtension(Path folderPath) {
        List<String> namesWithoutExtension = new ArrayList<>();
        try {
            Files.list(folderPath).forEach(file -> {
                String fileName = file.getFileName().toString();
                // 获取文件名，不包括路径和后缀
                int dotIndex = fileName.lastIndexOf(".");
                if (dotIndex > 0) { // 确保有后缀
                    namesWithoutExtension.add(fileName.substring(0, dotIndex));
                } else {
                    namesWithoutExtension.add(fileName); // 文件没有后缀
                }
            });
        } catch (IOException e) {
            e.printStackTrace();
        }
        return namesWithoutExtension;
    }
}
